> For the complete documentation index, see [llms.txt](https://docs.echo3d.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.echo3d.com/swift/using-the-sdk.md).

# Using the SDK

## Echo3D.swift:

Defines a class “Echo3D” that uses various methods in conjunction to SceneKit that communicate with the echo3D servers.

The following methods are Universal for Usage in iOS development:

* queryDatabase()
* parseDatabse()
* parseEntry()
* getEntries()

The following methods load models from your echo3D project into a scene:

* loadSceneAtIndex()
* loadSceneFromFilename()
* loadSceneFromEntryID()
* loadNodeFromIndex()
* loadAllNode()

*Customize implementation in a non-AR capacity by using the first list of functions to access and work with assets stored on echo3D.*

## Entry.swift

each asset stored on echo3D servers is an “entry”. This file constructs a class with attributes and files relevant to accessing and working with each entry / file.

## ViewController.swift

This file supports constructing an AR scene using SceneKit that is populated by files / models / entries stored on echo3D.

*If you are not intending to construct an AR application, this file can be ignored / removed from your project.*

## RemoteTransformation.swift

Applies changes made to an asset's metadata via the echo3D platform to assets in your scene at runtime.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.echo3d.com/swift/using-the-sdk.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
